Skyrim Special Edition

About this mod

Elegant, PC-friendly interface mod with many advanced features.

Requirements
Permissions and credits
Translations
  • Turkish
  • Russian
  • Portuguese
  • Mandarin
  • Hungarian
Donations
This is an unsupported alpha version for testing. Use at your own risk.

Version 5.2SE - Requires SKSE64 2.0.4 alpha or newer and and Skyrim 1.5.3.

Version 5.1SE - Requires SKSE64 2.0.2 alpha or newer and and Skyrim 1.4.2.